<?php

require_once("../php/constantes.php");
//require_once("php/debug.php");

require_once("../../master/include/db_connect.php");
require_once("../../master/include/debug.php");
require_once("../../master/include/db_utils.php");
require_once("../../master/include/math.php");




$r = mysql_query("SELECT *, UNIX_TIMESTAMP(date) as ts FROM stats ORDER BY date DESC");
$title = "City Monkey - statistics";
$list_stats = array("total_games", "rand_game_fakebot", "rand_game_human", "invite_human", "game_replay", "timeout", "iddle", "game_start_host", "post_invitation_wall", "send_notif_online", "send_notif_offline", "share_fb", "err_chga", "err_chact", "err_randnull", "err_syncnull");
$list_labels = array("total games", "rand fakebot", "rand human", "invite human", "replay", "timeout", "iddle", "game host", "invite wall", "notif online", "notif offline", "share fb", "er chga", "er chact", "er randnull", "er syncnull");


?>




<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8"/>
	<title><?php echo $title;?></title>
	<link href="../css/html.css" rel="stylesheet" type="text/css" />
	
	<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon">
	<link rel="icon" href="../images/favicon.ico" type="image/x-icon">
	<script src="js/jquery.js"></script>
	
</head>
<body>


<table id="stats">
	<tr id="firstline">
		<td>__Date__</td>
		<?php
		foreach($list_labels as $val) echo "<td>".$val."</td>";
		?>
	</tr>
	
	<?php
	$count = 0;
	while($tab = mysql_fetch_array($r)){
		
		$col = ($count%2==0) ? "#51555c" : "#3d403f";
		echo "<tr style='background-color:".$col."'>";
		$date = date("d/m/y", $tab["ts"]);
		echo "<td>".$date."</td>";
		
		$total_games = $tab["rand_game_fakebot"] + $tab["rand_game_human"] + $tab["game_replay"] + $tab["invite_human"];
		
		foreach($list_stats as $val){
			
			$percent = -1;
			$value = "";
			
			if($val=="total_games") $value = $total_games;
			else $value = $tab[$val];
			
			if($val=="rand_game_fakebot" || $val=="rand_game_human" || $val=="invite_human"){
				$total_start_game = $tab["rand_game_fakebot"] + $tab["rand_game_human"] + $tab["invite_human"];
				$percent = ($total_start_game==0) ? 0 : round($value / $total_start_game * 100);
			}
			else if($val=="timeout" || $val=="iddle"){
				$percent = ($total_games==0) ? 0 : round($value / $total_games * 100);
			}
			else if($val=="err_chga"){
				$total_rand = $tab["rand_game_fakebot"] + $tab["rand_game_human"];
				$percent = ($total_rand==0) ? 0 : round2($value / $total_rand * 100, 0.1);
			}
			
			echo "<td>".$value;
			if($percent != -1) echo "&nbsp;&nbsp;&nbsp;<span class='percent'>(".$percent."%)</span>";
			echo "</td>";
		}
		echo "</tr>";
		$count++;
	}
	
	$len = count($list_stats) + 1;
	$col = "#009dc5";
	echo "<tr style='background-color:".$col."'><td colspan='".$len."'>";
	
	
	$r = mysql_query("SELECT COUNT(id) as count FROM users");
	$tab = mysql_fetch_array($r);
	$total_user = $tab["count"];
	echo "Total players : ".$total_user."<br /><br />";
	
	
	echo "Device types : &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	$str = "";
	
	$r = mysql_query("SELECT COUNT(id) as count, device_type as label FROM users GROUP BY device_type ORDER BY count DESC");
	while($tab = mysql_fetch_array($r)){
	
		$label = ($tab["label"]=="") ? "undefined" : $tab["label"];
		$str .= $label." (";
		$percent = round2($tab["count"] / $total_user * 100, 0.1);
		$str .= $percent."%)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	}
	echo $str."<br /><br />";
	
	
	
	echo "App versions : &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	$str = "";
	
	$r = mysql_query("SELECT COUNT(id) as count, app_version as label FROM users GROUP BY app_version ORDER BY count DESC");
	while($tab = mysql_fetch_array($r)){
	
		$label = ($tab["label"]=="") ? "undefined" : $tab["label"];
		$str .= $label." (";
		$percent = round2($tab["count"] / $total_user * 100, 0.1);
		$str .= $percent."%)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	}
	echo $str."<br /><br />";
	
	
	echo "</td></tr>";
	
	?>
	
</table>

</body>