<?php

require_once("php/constantes.php");
//require_once("php/debug.php");

require_once("../master/include/db_connect.php");
require_once("../master/include/debug.php");
require_once("../master/include/db_utils.php");


//debug
$id_user = (isset($_GET["id_user"])) ? $_GET["id_user"] : "";
$id_cookie = (isset($_GET["id_cookie"])) ? $_GET["id_cookie"] : "";

$current_year = date("Y");


$fb_id = "";
$fb_nickname = "";
$id_host = "";
$nickname_host = "";



$is_facebook = (isset($_REQUEST["signed_request"]));

if(IS_ONLINE && $is_facebook){
	
	require_once("php/facebook/facebook.php");
	require_once("php/init_fb.php");
	//require_once("example.php");
	
}



$image = PATH."images/fb/icon_512.png";
$description = "Worms-like game, play online against your friends";
$title = "City Monkey - Worms-like game";


if(isset($_GET["id_host"])){
	$id_host = $_GET["id_host"];
	trace("id_host from GET : ".$id_host);
}

$player_info_hero = getInfoPlayer_additionnal($fb_id);
$exclude_share = "";
if($player_info_hero != null){
	trace("player_info_hero not null");
	$exclude_share = $player_info_hero["exclude_share"];
}
trace("exclude_share : ".$exclude_share);

if($id_host != ""){
	$player_info_host = getInfoPlayer($id_host);
	$nickname_host = $player_info_host["nickname"];
	
}





$locale = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
//$locale = "de";
trace("locale : ".$locale);




?>
<div id="debug_zone" style="position:absolute;left:50px;top:200px;visibility:hidden;">
	<a onclick="javascript:msg_to_friend('100007747630032', 'https://apps.facebook.com/city_monkey?id_host=584899779');">msg to friend</a>
	<br /><br />
	<a onclick="javascript:send_notification('584899779', '100007747630032', 'test');">request single</a>
	<br /><br />
	<a onclick="javascript:stopBlinkWindowTitle();">stop blink</a>
	<!--
	vincent huss : 584899779
	vincent dev : 100007747630032
	-->
</div>






<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8"/>
	<title><?php echo $title;?></title>
	
	<meta name="description" content="<?php echo $description;?>" />
	<link href="css/html.css" rel="stylesheet" type="text/css" />
	
	<meta property="og:image" content="<?php echo $image;?>" />
	<meta property="og:title" content="<?php echo $title;?>" />
	<meta property="og:description" content="<?php echo $description;?>" />
	
	
	
	<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
	<link rel="icon" href="images/favicon.ico" type="image/x-icon">
	
	<script src="js/swfobject.js"></script>
	<script src="js/getfpversion.js"></script>
	<script src="js/jquery.js"></script>
	<script src="js/fb_utils.js"></script>
	
</head>
<body>
	
	<div id="main-container">
		
		
		<!--<div id="zone-pub"></div>-->
		
		
		<img id="bg_swf" src='images/bg_swf.jpg' />
		
		<div id='interface-flash'>
			
			
			<script type="text/javascript">
				
				var _fpversion = Number(getFlashVersion().split(',').shift());
				
				
				
				var so = new SWFObject('GORILLA.swf', 'idInterfaceSwf', '100%', '100%', '11', '', true);
				
				//so.useExpressInstall('expressinstall.swf');
				//so.addParam("allowFullScreen", "true");
				
				so.addParam("wmode", "direct");
				so.addVariable("DEBUG_MODE", "");
				so.addVariable("is_navigator", "1");
				
				
				//debug
				
				var id_cookie = (_fpversion < 12) ? "0" : "1";
				//alert("id_cookie : "+id_cookie);
				
				so.addVariable("id_user", "<?php echo $id_user;?>");
				so.addVariable("id_cookie", id_cookie);
				
				so.addVariable("is_online", "<?php echo (IS_ONLINE) ? "1" : "0";?>");
				so.addVariable("locale", "<?php echo $locale;?>");
				
				//facebook
				so.addVariable("fb_id", "<?php echo $fb_id;?>");
				so.addVariable("fb_nickname", "<?php echo $fb_nickname;?>");
				
				so.addVariable("id_host", "<?php echo $id_host;?>");
				so.addVariable("nickname_host", "<?php echo $nickname_host;?>");
				
				
				so.addVariable("list_friends", '<?php echo (isset($list_friends)) ? implode(";", $list_friends) : "";?>');
				//list_online_friends deleted
				so.addVariable("exclude_share", "<?php echo (isset($exclude_share)) ? $exclude_share : "";?>");
				
				
				//_fpversion = 10;
				if(_fpversion < 11){
					$("#interface-flash").html("<a href='http://get.adobe.com/fr/flashplayer/' target='_blank'><img src='images/flashplayer_old.jpg' /></a>");
				}
				else{
					so.write('interface-flash');
					//swfobject.embedSWF("GORILLA.swf", "interface-flash", "800", "480", "11.0.0", "expressinstall.swf", flashvars, params, attributes);
				}
				
				
			</script>
			
		</div>
		
		
		<div id="footer">
			<a href="../site/" target="_blank">Website</a> |
			<a href="mailto:vincent.huss@gmail.com">Contact</a> |
			&copy; City Monkey <?php echo $current_year;?>
		</div>
		
		<div id="zone-stores">
			<?php
			if(URL_APPSTORE!="") echo '<a href="'.URL_APPSTORE.'" id="btn_store_0" target="_blank"><img src="images/btn-stores/appstore.png" /></a>';
			else echo '<a href="javascript:alertComingSoon();" id="btn_store_0"><img src="images/btn-stores/appstore.png" /></a>';
			
			if(URL_GPLAY!="") echo '<a href="'.URL_GPLAY.'" id="btn_store_1" target="_blank"><img src="images/btn-stores/playstore.png" /></a>';
			else echo '<a href="javascript:alertComingSoon();" id="btn_store_1"><img src="images/btn-stores/playstore.png" /></a>';
			/* 
			if(URL_AMAZON_STORE!="") echo '<a href="'.URL_AMAZON_STORE.'" id="btn_store_2" target="_blank"><img src="images/btn-stores/amazon-store.png" /></a>';
			else echo '<a href="javascript:alertComingSoon();" id="btn_store_2"><img src="images/btn-stores/amazon-store.png" /></a>';
			 */
			?>
			
		</div>
		
	
	</div>
	

	
	
	
	<div id="fb-root" style="visibility:none;"></div>
	<script type="text/javascript">	
		
		window.fbAsyncInit = function() 
		{
			FB.init({
				appId  : '<?php echo APP_FB_ID; ?>',
				status : true, // check login status
				cookie : true, // enable cookies to allow the server to access the session
				xfbml  : true  // parse XFBML
			});
			//FB.Canvas.setAutoGrow();
			
		
		};	
		 
		(function() 
		{
			var e = document.createElement('script');  
			e.type = 'text/javascript';
			e.src = document.location.protocol + '//connect.facebook.net/fr_FR/all.js';
			e.async = true;
			document.getElementById('fb-root').appendChild(e);
		}());
		
	</script>



</body>
</html>